package cn.com.countrygarden.bi.main.model.excontract.dto;

import cn.com.countrygarden.bi.main.model.excontract.ContractRecord;
import com.alibaba.fastjson.JSON;

/**
 * @program: DPshow_depart
 * @description: 垃圾清运 DTO
 * @author: SignV
 * @create: 2018-09-12 14:42
 **/
public class GarbageCleaning extends ContractRecord{
    /*----------------------------------------时间要求  start-----------------------------------------------*/

    private int timeNum;                        //未在规定时间内清运垃圾(次)
    private double timeScore;                   //扣分(分)

    /*----------------------------------------时间要求  end-----------------------------------------------*/


    /*----------------------------------------清运标准及时性  start-----------------------------------------------*/

    private int standardNum;                    //有垃圾未在当天完成清运(处)
    private double standardScore;               //扣分(分)

    /*----------------------------------------清运标准及时性  end-----------------------------------------------*/


    /*----------------------------------------垃圾袋供给  start-----------------------------------------------*/

    private int garbageNum;                     //清运垃圾未实行袋装打包(处)
    private double garbageScore;                //扣分(分)

    /*----------------------------------------垃圾袋供给  end-----------------------------------------------*/


    /*----------------------------------------散落现象  start-----------------------------------------------*/

    private int scatterNum;                     //发现次数（次）
    private double scatterScore;                //扣分(分)

    /*----------------------------------------散落现象  end-----------------------------------------------*/


    /*----------------------------------------清理现场  start-----------------------------------------------*/

    private int cleanNum;                       //未及时清扫现场及整理、清理垃圾桶（个）
    private double cleanScore;                  //扣分(分)

    /*----------------------------------------清理现场  end-----------------------------------------------*/


    /*----------------------------------------车辆管理  start-----------------------------------------------*/

    private int carNum;                         //车辆外观、车况，证照不符合政府部门的有关规定(次)
    private int ownerNum;                       //发现随意停放而影响业主或车辆通行次数（次）
    private double carScore;                    //扣分(分)

    /*----------------------------------------车辆管理  end-----------------------------------------------*/


    /*----------------------------------------工作配合  start-----------------------------------------------*/

    private int willfullyNum;                    //出现故意拖延或拒不配合的情况(次)
    private int requireNum;                      //接到整改通知未按要求进行整改(次)
    private int mouthNum;                        //不配合监督检查与甲方管理人员或员工发生口角及纠纷(次)
    private int securityNum;                     //不配合门岗安全检查(次)
    private double workScore;                //扣分(分)

    /*----------------------------------------工作配合  end-----------------------------------------------*/


    /*----------------------------------------垃圾处理  start-----------------------------------------------*/

    private int disorderlyNum;                    //发现乱倒垃圾情况（次）
    private int manageNum;                        //发现中转站场管理杂乱（次）
    private double manageScore;                   //扣分(分)

    /*----------------------------------------垃圾处理  end-----------------------------------------------*/


    /*----------------------------------------业户投诉  start-----------------------------------------------*/

    private int complaintNum;                     //有效投诉（次）
    private double complaintScore;                //扣分(分)

    /*----------------------------------------业户投诉  end-----------------------------------------------*/


    /*----------------------------------------安全管理  start-----------------------------------------------*/

    private int damageNum;                       //损坏公共设备设施或造成业主人身财产损失(次)
    private int executeNum;                      //未严格执行消防和安全生产管理制度(次)
    private double saveScore;                 //扣分(分)

    /*----------------------------------------安全管理  end-----------------------------------------------*/

    /*----------------------------------------员工和现场管理  start-----------------------------------------------*/

    private int propertyNum;                     //不遵守分公司制定的各项物业管理服务制度(次)
    private int sceneNum;                        //员工违反现场管理制度情况(次)
    private int disputeNum;                      //员工用工纠纷(次)
    private int collectNum;                      //收捡垃圾、违规存放、对方纸皮等杂物(次)
    private double staffScore;                 //扣分(分)

    /*----------------------------------------员工和现场管理  end-----------------------------------------------*/


    public int getTimeNum() {
        return timeNum;
    }

    public void setTimeNum(int timeNum) {
        this.timeNum = timeNum;
    }

    public double getTimeScore() {
        return timeScore;
    }

    public void setTimeScore(double timeScore) {
        this.timeScore = timeScore;
    }

    public int getStandardNum() {
        return standardNum;
    }

    public void setStandardNum(int standardNum) {
        this.standardNum = standardNum;
    }

    public double getStandardScore() {
        return standardScore;
    }

    public void setStandardScore(double standardScore) {
        this.standardScore = standardScore;
    }

    public int getGarbageNum() {
        return garbageNum;
    }

    public void setGarbageNum(int garbageNum) {
        this.garbageNum = garbageNum;
    }

    public double getGarbageScore() {
        return garbageScore;
    }

    public void setGarbageScore(double garbageScore) {
        this.garbageScore = garbageScore;
    }

    public int getScatterNum() {
        return scatterNum;
    }

    public void setScatterNum(int scatterNum) {
        this.scatterNum = scatterNum;
    }

    public double getScatterScore() {
        return scatterScore;
    }

    public void setScatterScore(double scatterScore) {
        this.scatterScore = scatterScore;
    }

    public int getCleanNum() {
        return cleanNum;
    }

    public void setCleanNum(int cleanNum) {
        this.cleanNum = cleanNum;
    }

    public double getCleanScore() {
        return cleanScore;
    }

    public void setCleanScore(double cleanScore) {
        this.cleanScore = cleanScore;
    }

    public int getCarNum() {
        return carNum;
    }

    public void setCarNum(int carNum) {
        this.carNum = carNum;
    }

    public int getOwnerNum() {
        return ownerNum;
    }

    public void setOwnerNum(int ownerNum) {
        this.ownerNum = ownerNum;
    }

    public double getCarScore() {
        return carScore;
    }

    public void setCarScore(double carScore) {
        this.carScore = carScore;
    }

    public int getWillfullyNum() {
        return willfullyNum;
    }

    public void setWillfullyNum(int willfullyNum) {
        this.willfullyNum = willfullyNum;
    }

    public int getRequireNum() {
        return requireNum;
    }

    public void setRequireNum(int requireNum) {
        this.requireNum = requireNum;
    }

    public int getMouthNum() {
        return mouthNum;
    }

    public void setMouthNum(int mouthNum) {
        this.mouthNum = mouthNum;
    }

    public int getSecurityNum() {
        return securityNum;
    }

    public void setSecurityNum(int securityNum) {
        this.securityNum = securityNum;
    }

    public double getWorkScore() {
        return workScore;
    }

    public void setWorkScore(double workScore) {
        this.workScore = workScore;
    }

    public int getDisorderlyNum() {
        return disorderlyNum;
    }

    public void setDisorderlyNum(int disorderlyNum) {
        this.disorderlyNum = disorderlyNum;
    }

    public int getManageNum() {
        return manageNum;
    }

    public void setManageNum(int manageNum) {
        this.manageNum = manageNum;
    }

    public double getManageScore() {
        return manageScore;
    }

    public void setManageScore(double manageScore) {
        this.manageScore = manageScore;
    }

    public int getComplaintNum() {
        return complaintNum;
    }

    public void setComplaintNum(int complaintNum) {
        this.complaintNum = complaintNum;
    }

    public double getComplaintScore() {
        return complaintScore;
    }

    public void setComplaintScore(double complaintScore) {
        this.complaintScore = complaintScore;
    }

    public int getDamageNum() {
        return damageNum;
    }

    public void setDamageNum(int damageNum) {
        this.damageNum = damageNum;
    }

    public int getExecuteNum() {
        return executeNum;
    }

    public void setExecuteNum(int executeNum) {
        this.executeNum = executeNum;
    }

    public double getSaveScore() {
        return saveScore;
    }

    public void setSaveScore(double saveScore) {
        this.saveScore = saveScore;
    }

    public int getPropertyNum() {
        return propertyNum;
    }

    public void setPropertyNum(int propertyNum) {
        this.propertyNum = propertyNum;
    }

    public int getSceneNum() {
        return sceneNum;
    }

    public void setSceneNum(int sceneNum) {
        this.sceneNum = sceneNum;
    }

    public int getDisputeNum() {
        return disputeNum;
    }

    public void setDisputeNum(int disputeNum) {
        this.disputeNum = disputeNum;
    }

    public int getCollectNum() {
        return collectNum;
    }

    public void setCollectNum(int collectNum) {
        this.collectNum = collectNum;
    }

    public double getStaffScore() {
        return staffScore;
    }

    public void setStaffScore(double staffScore) {
        this.staffScore = staffScore;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
